%define qtdir /usr/lib/qt-1.45
%define kdeprefix /usr

Name: kcmbind
Summary: A KDE based GUI for managing your network's DNS configuration.
Version: 0.5.0
Release: 7
Serial: 2
Source: http://kcmbind.kde.nu/kcmbind/%{name}-%{version}.tgz
Patch0: kcmbind-exit.patch
License: GPL
URL: http://kcmbind.kde.nu/
Group: Applications/System
Buildroot: %{_tmppath}/%{name}-buildroot
Requires: kdesupport, qt1x-devel
BuildPrereq: kdelibs-devel, qt1x-devel
%ifnarch ia64
BuildPrereq: compat-egcs-c++
Requires: compat-libstdc++
%endif
Prefix: %{kdeprefix}
ExcludeArch: ia64

Prefix: %{kdeprefix}

%description
KcmBind is a GUI front-end for configuring bind, developed for the K
Desktop Environment (KDE).  KcmBind provides an interface that is
light years ahead of directly editing the bind configuration files and
makes DNS administration a possibility for mere mortals.  You'll need
to have X and KDE installed to use KcmBind.

%prep
%setup -q -n %{name}
%patch -p1 -b .exit

%build
export KDEDIR=%{prefix} QTDIR=%{qtdir}

%ifnarch ia64
export CXX="egcs++ -L/usr/lib -I/usr/include/kde" CC="egcs -L/usr/lib"
%else
export CXX="g++" CC="gcc"
%endif

FLAGS="$RPM_OPT_FLAGS -UDEBUG -DNDEBUG -DNO_DEBUG"
[ -f Makefil.dist ] && make -f  Makefile.dist
[ -f configure.in ] && libtoolize --copy --force

CXXFLAGS="$FLAGS" CFLAGS="$FLAGS" \
./configure --prefix=%{kdeprefix}


make -j $CPUS CXX="${CXX}" CC="${CC}" \
              CFLAGS="$FLAGS" CXXFLAGS="$FLAGS"

%install
rm -rf $RPM_BUILD_ROOT

make install-strip prefix=$RPM_BUILD_ROOT%{kdeprefix} \
	exec_prefix=$RPM_BUILD_ROOT%{kdeprefix}

%clean
rm -rf $RPM_BUILD_ROOT 

%files 
%defattr(-,root,root)
%{kdeprefix}/bin/kcmbind
%{kdeprefix}/share/applnk/Settings/Network/bind.kdelnk
%{kdeprefix}/share/locale/*/*/*
%{kdeprefix}/share/doc/HTML/en/kcontrol/kcmbind

%changelog
* Wed Aug 02 2000 Than Ngo <than@redhat.de>
- move back to powertools, kde1 is installed as default
- rebuilt against the kdelibs/KDE1

* Sun Jun 11 2000 Than Ngo <than@redhat.de>
- rebuild for 7.0
- clean up specfile
- correct Url
- FHS fixes

* Wed Feb 23 2000 Tim Powers <timp@redhat.com>
- fixed the kde_htmldir stuff for real.
- why use a file for the file list? Claiming ownership of dirs that really
	aren't owned by this package can potentially be bad. Fixed.

* Tue Feb 22 2000 Preston Brown <pbrown@redhat.com>
- fix kde_htmldir

* Wed Feb  2 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Qt 1.45

* Fri Sep 17 1999 Preston Brown <pbrown@redhat.com>
- rebuild w/new Qt paths for Powertools 6.1

* Thu Apr 22 1999 Preston Brown <pbrown@redhat.com>
- initial RPM for PowerTools 6.0
